it.csi.mddtools.guigen

## Interface WizardPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, MultiPanel, org.eclipse.emf.common.notify.Notifier, Panel

      public interface WizardPanel
      extends MultiPanel

  A representation of the model object 'Wizard Panel'. Particolare tipo di MultiPanel che prevede una sezione di navigazione in alto che rappresenta la sequenza degli step del wizard. Il naviogatore può essere attivo o passivo. Nel caso in cui il navigatore sia passivo per passare d auno step all'altro è necessario utilizzare il comando ActivateMultiPanelItem agganciato ad un evento collegato ad un pulsante interno al pannello che descrive ciascuno step.

  The following features are supported:

  - `Navigator Active`
  - `Switcher`
  - `Numbering Schema`
  See Also:
    `GuigenPackage.getWizardPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `WizardNumberingTypes` | `getNumberingSchema()` Returns the value of the 'Numbering Schema' attribute.
    `TabSwitcher` | `getSwitcher()` Returns the value of the 'Switcher' containment reference
    `boolean` | `isNavigatorActive()` Returns the value of the 'Navigator Active' attribute.
    `void` | `setNavigatorActive(boolean value)` Sets the value of the '`Navigator Active`' attribute
    `void` | `setNumberingSchema(WizardNumberingTypes value)` Sets the value of the '`Numbering Schema`' attribute
    `void` | `setSwitcher(TabSwitcher value)` Sets the value of the '`Switcher`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiPanel

      `getPanels`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isNavigatorActive

          boolean isNavigatorActive()

      Returns the value of the 'Navigator Active' attribute. The default value is `"true"`.

      If the meaning of the 'Navigator Active' attribute isn't clear, there really should be more of a description here...

      Se impostato a true la sezione di navigazione sarà cliccabile, permettendo così il salto libero da uno step all'altro.
      Returns:
        the value of the 'Navigator Active' attribute.
      See Also:
        `setNavigatorActive(boolean)`, `GuigenPackage.getWizardPanel_NavigatorActive()`

    - #### setNavigatorActive

          void setNavigatorActive(boolean value)

      Sets the value of the '`Navigator Active`' attribute.
      Parameters:
        `value` - the new value of the 'Navigator Active' attribute.
      See Also:
        `isNavigatorActive()`

    - #### getSwitcher

          TabSwitcher getSwitcher()

      Returns the value of the 'Switcher' containment reference.

      If the meaning of the 'Switcher' containment reference isn't clear, there really should be more of a description here...

      Widget fittizio che permette di associare un event handler all'evento di CLICK sullo step (utilizzabile solo in modalità attiva).
      Returns:
        the value of the 'Switcher' containment reference.
      See Also:
        `setSwitcher(TabSwitcher)`, `GuigenPackage.getWizardPanel_Switcher()`

    - #### setSwitcher

          void setSwitcher(TabSwitcher value)

      Sets the value of the '`Switcher`' containment reference.
      Parameters:
        `value` - the new value of the 'Switcher' containment reference.
      See Also:
        `getSwitcher()`

    - #### getNumberingSchema

          WizardNumberingTypes getNumberingSchema()

      Returns the value of the 'Numbering Schema' attribute. The default value is `"NO_NUMBERING"`. The literals are from the enumeration `WizardNumberingTypes`.

      If the meaning of the 'Numbering Schema' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Numbering Schema' attribute.
      See Also:
        `WizardNumberingTypes`, `setNumberingSchema(WizardNumberingTypes)`, `GuigenPackage.getWizardPanel_NumberingSchema()`

    - #### setNumberingSchema

          void setNumberingSchema(WizardNumberingTypes value)

      Sets the value of the '`Numbering Schema`' attribute.
      Parameters:
        `value` - the new value of the 'Numbering Schema' attribute.
      See Also:
        `WizardNumberingTypes`, `getNumberingSchema()`